datablock AudioProfile(BlockmanDeathSound) {
	fileName = "./death.wav";
	description = AudioClose3d;
	preload = true;
};

datablock AudioProfile(BlockmanPainSound : BlockmanDeathSound) {
	fileName = "./pain.wav";
};

datablock AudioProfile(BlockmanJumpSound : BlockmanDeathSound) {
	fileName = "./jump.wav";
};

datablock TSShapeConstructor(BlockmanDts) {
	baseShape = "base/data/shapes/player/blockman.dts";
	sequence0 = "./blockman_root.dsq root";

	sequence1  = "./blockman_run.dsq run";
	sequence2  = "./blockman_run.dsq walk";
	sequence3  = "./blockman_run.dsq back";
	sequence4  = "./blockman_run.dsq side";

	sequence5  = "./blockman_crouch.dsq crouch";
	sequence6  = "./blockman_root.dsq crouchRun";
	sequence7  = "./blockman_root.dsq crouchBack";
	sequence8  = "./blockman_root.dsq crouchSide";

	sequence9  = "./blockman_look.dsq look";
	sequence10 = "./blockman_headside.dsq headside";
	sequence11 = "./blockman_root.dsq headUp";

	sequence12 = "./blockman_jump.dsq jump";
	sequence13 = "./blockman_jump.dsq standjump";
	sequence14 = "./blockman_root.dsq fall";
	sequence15 = "./blockman_land.dsq land";

	sequence16 = "./blockman_root.dsq armAttack";
	sequence17 = "./blockman_root.dsq armReadyLeft";
	sequence18 = "./blockman_armreadyright.dsq armReadyRight";
	sequence19 = "./blockman_root.dsq armReadyBoth";
	sequence20 = "./blockman_root.dsq spearready";  
	sequence21 = "./blockman_root.dsq spearThrow";

	sequence22 = "./blockman_root.dsq talk";  

	sequence23 = "./blockman_death.dsq death1"; 
	
	sequence24 = "./blockman_root.dsq shiftUp";
	sequence25 = "./blockman_root.dsq shiftDown";
	sequence26 = "./blockman_root.dsq shiftAway";
	sequence27 = "./blockman_root.dsq shiftTo";
	sequence28 = "./blockman_root.dsq shiftLeft";
	sequence29 = "./blockman_root.dsq shiftRight";
	sequence30 = "./blockman_root.dsq rotCW";
	sequence31 = "./blockman_root.dsq rotCCW";

	sequence32 = "./blockman_root.dsq undo";
	sequence33 = "./blockman_root.dsq plant";

	sequence34 = "./blockman_root.dsq sit";

	sequence35 = "./blockman_root.dsq wrench";

	sequence36 = "./blockman_root.dsq activate";
	sequence37 = "./blockman_root.dsq activate2";

	sequence38 = "./blockman_root.dsq leftrecoil";
};

datablock PlayerData(BlockmanArmor : PlayerStandardArmor) {
	shapeFile = "base/data/shapes/player/blockman.dts";
	uiName = "block man";
	useCustomPainEffects = true;
	PainSound = BlockmanPainSound;
	DeathSound = BlockmanDeathSound;
	JumpSound = BlockmanJumpSound;
	airControl = 0; //Fuck u jumpers
	canJet = 0;
	jumpForce = 900;
	boundingBox		= vectorScale("0.9 0.9 2.25", 4);
	crouchBoundingBox	= vectorScale("0.9 0.9 2.25", 4);
	
	runSurfaceAngle = "90";
	minImpactSpeed = "201";

	maxForwardSpeed = 10;
	maxBackwardSpeed = 7;
	maxSideSpeed = 7;

	maxForwardCrouchSpeed = 7;
	maxBackwardCrouchSpeed = 7;
	maxSideCrouchSpeed = 7;

	maxTimeScale = 1;

	renderFirstPerson = 1;
};

 package blockmanColors
 {
	function GameConnection::applyBodyColors(%client)
	{
		Parent::applyBodyColors(%client);
		if(%client.player.dataBlock $= "BlockmanArmor")
		{
			%client.player.setNodeColor("rforearm",%client.rHandColor);
			%client.player.setNodeColor("lforearm",%client.lHandColor);
			%client.player.setNodeColor("rupperarm",%client.rarmColor);
			%client.player.setNodeColor("lupperarm",%client.larmColor);
			%client.player.setNodeColor("head",%client.headColor);
			%client.player.setNodeColor("pelvis",%client.hipColor);
			%client.player.setNodeColor("rthigh",%client.hipColor);
			%client.player.setNodeColor("lthigh",%client.hipColor);
			%client.player.setNodeColor("lcalf",%client.lLegColor);
			%client.player.setNodeColor("rcalf",%client.rLegColor);
			%client.player.setNodeColor("chest",%client.chestColor);
			%client.player.setFaceName(%client.faceName);
			%client.player.setDecalName(%client.decalName);
		}
	}
 };
 activatePackage(blockmanColors);